
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>软件工程之系统建模篇：设计窗口结构 / iVAN</title>

    <meta name="description" content="软件工程之系统建模篇：设计窗口结构 在创建用户接口原型之前,应该先创建窗口结构图,窗口结构用于描述窗口之 间的关系,于UML没有直接的关系,本章介绍窗口结构的设计过程,先介绍窗口结 构的设计方法,然后设计总体窗口结构图,最后设计下一层的窗口结构图. 1.设计方法 窗口结构是窗口之间的切换流程,通过窗口结构,可以直观地看到通过用例的 路径流程.窗口结构非常重要,一个软件系统在实用性上能满足用户的需要还是 远远不够的,如果窗口结构设计不合理,也不会受用户欢迎.我们可以参考前面 的接口类图来设计窗口结构,在&quot;软件工程之系统建模 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">软件工程之系统建模篇：设计窗口结构</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在创建用户接口原型之前，应该先创建窗口结构图，窗口结构用于描述窗口之 间的关系，于UML没有直接的关系，本章介绍窗口结构的设计过程，先介绍窗口结 构的设计方法，然后设计总体窗口结构图，最后设计下一层的窗口结构图。</p>
<p><strong>1、设计方法</strong></p>
<p>窗口结构是窗口之间的切换流程，通过窗口结构，可以直观地看到通过用例的 路径流程。窗口结构非常重要，一个软件系统在实用性上能满足用户的需要还是 远远不够的，如果窗口结构设计不合理，也不会受用户欢迎。我们可以参考前面 的接口类图来设计窗口结构，在“软件工程之系统建模篇【设计接口类模型 】”中，已识别出系统的接口类，并画出接口类图，在设计窗口结构时，可 以将接口类图中的依赖关系映射为窗口之间的切换关系。</p>
<p>2<strong>、总体窗口结构图</strong></p>
<p>系统总体窗口结构图的设计分析为，在进入系统主窗口之前，要经过用户登录 窗口，随后弹出的系统主窗口中的系统主菜单包括7个菜单项，通过选择菜单项， 将分别出现7个下拉菜单。主窗口结构图如下所示</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMUEwMzI1MzQ1LTAuanBn.jpg"></p>
<p>3<strong>、发文办理窗口结构图</strong></p>
<p>我们对系统总窗口结构进一步分析，画出下一层的窗口结构，我们以发文办理 做参考，前面文章介绍已经识别出发文办理的接口类，对应的窗口结构图也能够 参照接口类的划分来组织，下图为发文办理窗口结构图</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMUEwMzI0NFUtMS5qcGc=.jpg"></p>
<p>其他子模块也可以参照以上结构画出，在此不再举例。下一章我们将介绍用户 接口原型的设计。</p>
<p>查看本栏目更多精彩内容：http://www.bianceng.cnhttp://www.bianceng.cn/Programming/project/</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-02 15:28:09</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%b3%bb%e7%bb%9f/" title="系统">系统</a>, <a href="https://www.iamivan.net/tag/%e7%aa%97%e5%8f%a3/" title="窗口">窗口</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a5%e5%8f%a3/" title="接口">接口</a>, <a href="https://www.iamivan.net/tag/%e8%ae%be%e8%ae%a1/" title="设计">设计</a>, <a href="https://www.iamivan.net/tag/%e7%bb%93%e6%9e%84/" title="结构">结构</a>, <a href="https://www.iamivan.net/tag/%e7%bb%93%e6%9e%84%e5%9b%be/" title="结构图">结构图</a>, <a href="https://www.iamivan.net/tag/%e7%b3%bb%e7%bb%9f%e8%ae%be%e8%ae%a1%e8%bd%af%e4%bb%b6%e7%bb%93%e6%9e%84%e5%9b%be/" title="系统设计软件结构图">系统设计软件结构图</a>, <a href="https://www.iamivan.net/tag/%e7%bb%93%e6%9e%84-%e8%bd%af%e4%bb%b6%e5%bc%80%e5%8f%91/" title="结构 软件开发">结构 软件开发</a>, <a href="https://www.iamivan.net/tag/%e6%80%bb%e4%bd%93%e8%ae%be%e8%ae%a1/" title="总体设计">总体设计</a>, <a href="https://www.iamivan.net/tag/%e8%bd%af%e4%bb%b6%e5%b7%a5%e7%a8%8b%e7%bb%93%e6%9e%84%e5%8c%96/" title="软件工程结构化">软件工程结构化</a>, <a href="https://www.iamivan.net/tag/%e8%ae%a1%e7%ae%97%e6%9c%ba%e7%b3%bb%e7%bb%9f%e7%bb%93%e6%9e%84/" title="计算机系统结构">计算机系统结构</a>, <a href="https://www.iamivan.net/tag/%e8%ae%be%e8%ae%a1%e6%8e%a5%e5%8f%a3%e8%bd%af%e4%bb%b6/" title="设计接口软件">设计接口软件</a>, <a href="https://www.iamivan.net/tag/%e5%b7%a5%e7%a8%8b%e7%bb%93%e6%9e%84/" title="工程结构">工程结构</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>软件工程之系统建模篇：设计窗口结构的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M62kqYM.html" rel="bookmark">软件工程之系统建模篇：设计接口类模型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文介绍接口类模型的设计过程.接口类模型描述系统活动者与系统交互的界 面,接口类位于系统结构的表示服务层,接口类模型用类图和包图描述.首先简 要介绍接口类模型的设计方法,然后设计子系统的类图,最后设计系统及子系统 的包图. 1.设计方法 设计接口类模型,首先要识别出接口类,再识别出接口类之间的关系.接口类 是应用程序的&quot;可视区&quot;,也是系统与外界的隔离层.接口类可以用 用例去识别,用例驱动接口类设计.用户接口直接与用例相连,用户是通过用户 接口发起和终止用例的.由于用户接口直接面向用户,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M91WvvM.html" rel="bookmark">软件工程之系统建模篇：设计接口控制类模型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				接口控制类模型描述用户接口与系统其他层之间的通信,接口控制类位于系统 结构的商业上下文服务层,接口控制类模型用类图和包图描述.首先简要介绍接 口控制类模型的设计方法,然后设计子系统的接口控制类与接口类的类图,最后 设计系统及子系统的接口控制类的包图. 1.设计方法 接口控制类承担用户接口与应用程序的其他层之间通信的大多数工作,接口控 制类比较简单,对于每一个需要与应用程序的其他层进行通信的用户接口,都应 该有一个相应的接口控制类,对应的一个接口类即定义一个接口控制类.接口控 制类通常是临时的,不			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVnDXQz.html" rel="bookmark">软件工程之系统建模篇：设计数据模型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据模型描述系统持久性数据库层的逻辑内容与结构,数据模型用UML的类图 描述.首先简要介绍数据模型的设计方法及关系数据库的几个术语,然后依次介 绍如何将类映射到表.将关联映射到关系数据库及将泛化映射到数据库. 数据库模型从层次上可以分为3类:概念数据模型.逻辑数据模型和物理数据 模型. 概念数据模型是面向用户.面向现实世界的数据模型,与数据库管理系统无关 ,逻辑数据模型反映了DBMS的存储结构,是用户从数据库看到的数据模型,物理 数据模型是特定的DBMS,定义实际中的数据如何存储在持久存储设备上			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8jEgZb.html" rel="bookmark">软件工程之系统建模篇：设计用例模型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文主要介绍用例模型的设计过程,首先从系统层设计用例模型,然后分别细 化系统层识别的各用例,设计更为详细的用例模型.用例模型是开发过程的起点 ,并驱动建模全过程.以下以办公自动化(OA)中的办理发文用例模型为例,来 讲解用例模型的设计过程.用例模型包括办理公文用例图及用例描述. 办理发文用例模型 1.办理公文用例图 在设计办理发文用例模型之前,先要识别活动者和用例,活动者和用例识别以 后,才能建立用例模型. 1.1 活动者识别 活动者是系统分析员与用户交流的起点,也是项目获得后续产品的关键.活动			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/balaEmz.html" rel="bookmark">软件工程之系统建模篇：设计用例控制类模型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				用例控制类模型描述接口控制类与实体类之间的通信,用例控制类位于系统结 构的商业规则服务层,用例控制类模型用包图描述.本章介绍用例控制类模型的 设计过程,首先介绍用例控制类模型的设计方法,然后设计子系统包图,最后设 计系统包图. 1.设计方法 用例控制类代表用例,它的每一个操作对应一条通过用例的途径.接口控制类 执行用户接口与应用程序其他层之间的通信任务,用例控制类则执行接口控制类 与实体类之间的通信任务,通过交互来完成在用例中定义的路径.用例控制类直 接与接口控制类一起工作,需要保持所有对象引用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1RB9rp.html" rel="bookmark">软件工程之系统建模篇：设计系统类模型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				类模型是面向对象分析的核心,系统类模型用包图描述,前面的文章我们分析 了实体类.接口类.接口控制类和用例控制类,本章我们将介绍系统类模型的设 计,首先简要介绍类模型的设计方法,然后设计子系统的类模型,最后设计系统 类模型. 1.设计方法 设计系统类模型,要明确子系统或系统的组成,及各个组成部分之间的关系, 子系统的划分和前面介绍过的接口类包的划分相同,主要包括:发文办理.收文 办理.会议管理.档案管理.公告管理.个人助理.系统管理.用户登录8个子系 统,无论是子系统模型还是系统类模型,都包含接口			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXBxNKb.html" rel="bookmark">软件工程之系统建模篇：设计实体类模型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文主要介绍实体类模型的设计过程,首先识别类及类之间的关系,然后画出 类图和包图,最后识别类的属性和操作.类是面向对象方法的一个全新概念,类 模型是面向对象分析的核心,实体类位于系统结构的商业规则服务层.实体类是 系统需要持久保存的对象最终要映射到数据库.实体类模型用类图和包图描述. 1.类的识别 1.1 类的识别 识别类币识别用例要困难的多,实体世界中,一切都是对象,识别起来并非易 事.我们在程序设计过程中,一般是用名词识别方法,然而你也可以用其他的方 法.用名词识别法时,从系统中找出名词.名			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ7w3wb.html" rel="bookmark">软件工程之系统建模篇：设计动态模型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本章介绍动态模型的设计过程,系统实例的动态模型用序列图来描述,首先介 绍选择序列图的理由,最后分别设计各个用例主路径的序列图.本设计结果将充 实和完善系统结构的表示服务层.商业上下文服务层.商业规则服务层.数据转 化服务层和数据访问服务层的内容. 1.选择序列图 UML以图的形式提供了4种动态模型:序列图.协作图.状 态图和活动图,序列图和协作图都是交互图.序列图是描述对象如何交互的,其 中最重要的是时间,由于序列图于用例路径有关,所以在大多数动态建模中都要 用到它.协作图也是描述对象交付的,但			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNE0OJb.html" rel="bookmark">软件工程之系统建模篇：开卷有益</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				开篇简述 博客自从大学毕业就开通了,到现在还没发布什么博文,以前不喜欢写博客,但是后来发现写文章其实也是自我提升一个方式,现在的工作不是很忙,趁此机会,写一些文章.此软件工程系统建模系列,以自己在工作中开发OA的系统为参考,结合UML语言来讲述办公自动化系统建模过程,篇幅大概20篇左右,分为建模篇和规划篇,建模篇主要介绍软件开发中各种模型的设计.本文作为开篇,主要简述相关的概念和这个系列的索引,由于本人技术和表述能力有限,错误之处在所难免,通过本系列,将能够学习到软件开发的各种模型设计,不求完美			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxVXPz.html" rel="bookmark" class="title">PHP5安装配置和Zend Optimizer安装教程</a>
					<div>
						安装 1.首先下载PHP 5.2.5 (http://www.php.net/downloads.php) 本文PHP安装路径取为c:\php 2.下载后得到php-5.1.2-Win32.zip,直 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqxKeb.html" rel="bookmark" class="title">Flash Actionscript脚本的执行顺序</a>
					<div>
						脚本|执行 做了一下Flash脚本执行顺序状况的测试,总结出以下几条规则:1.先执行帧脚本,再执行该帧中的影片剪辑中帧脚本.2.同一帧中不同图层的帧脚本的执行顺序是从上层图层至下层图层;3.不同影片剪 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKyOOM.html" rel="bookmark" class="title">浅谈Struts2的学习</a>
					<div>
						今天无意中翻看了一下Struts2.0,结果发现它与Struts1.1有很大的变化,可以说已经变的面目全非了.作为程序员,又必须掌握最新的技术,因此,它一升级,我们就得跟着学习,真可谓不亦苦乎!但水来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXB3EQb.html" rel="bookmark" class="title">PS绘制设计养乐多图标</a>
					<div>
						  制设计养乐多图标,分解我最喜欢的养乐多的一步步鼠绘成ICONS的步骤.         注:更多精彩教程请关注三联photoshop教程栏目,三联PS群:182958314欢迎你的加入 分类: P ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAa9GZM.html" rel="bookmark" class="title">wps云文档怎么用</a>
					<div>
						  1.打开电脑中的wps软件,单击界面右上角的&quot;未登录&quot;,在打开的窗口中,您需要登录wps帐号. 文档怎么用-&quot;&gt; 2.您可以选择多种登录方式,小编以QQ帐号为例 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBWnRz.html" rel="bookmark" class="title">笔记本键盘字母键打出数字怎么办</a>
					<div>
						  笔记本键盘字母键打出数字怎么办         Fn+NUMLOCK切换法 我们先按住[Fn键](Fn键一般在键盘的左下角),再按[Num Lk](Num Lk一般在右上角,F11键的上面,当然不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3eX6p.html" rel="bookmark" class="title">使用ghost修复win7系统</a>
					<div>
						重启电脑,一启动就不停按住键盘的上下箭头,选择第二项Winows DOS工具选项 这时会打开GHOST界面,如下图1 直接按回车键即可进入主界面,如下图2 选择Local --再选择partition ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdA3oM.html" rel="bookmark" class="title">CRT显示器常见故障疑难问答集</a>
					<div>
						  对于计算机用户来讲,最亲近的莫过于显示器了,可以说它是计算机系统不可或缺的组成部分.目前大家常用的还是CRT显示器,而CRT显示器也极易出现故障,那么如何才能检查和排除这些故障呢? 以下就为大家介 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGr8Db.html" rel="bookmark" class="title">国行全新MacBook什么时候上市</a>
					<div>
						  国行土豪金MacBook什么时候上市?在今年的苹果春季发布会上,苹果宣布配备金色选项的全新MacBook将于4月10日起发售.却没有明确说明中国是首发国家.目测一大波果粉很是着急,小编分享一条好消 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnY2x2M.html" rel="bookmark" class="title">PS中参考线</a>
					<div>
						打开PS–编辑–首选项–参考线.网格.切线--打开首选项对话框–在里面你可以设参考线的颜色,网格的间距等,也可使用快捷键ctrl+R ,调出标尺,然后移动鼠标箭头到标尺内,按住左键不放向画布内拖动鼠标 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXw81WM.html" rel="bookmark" class="title">android-MPAndroidChart饼状图怎么去掉右上角颜色块</a>
					<div>
						问题描述 MPAndroidChart饼状图怎么去掉右上角颜色块 如图,我想去掉上面的颜色缩略图,找了好久都好像没方法去,求大神解答 解决方案 http://stackoverflow.com/que ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmvrkz.html" rel="bookmark" class="title">邮件提醒</a>
					<div>
						问题描述 系统中有收取邮件的功能,当收到新邮件时,想提示用户有未读邮件.目前是想在系统主页面top页面中,加个小图标,当来新邮件是,图标闪烁,鼠标移动到图标中弹出层 &quot;您有未读消息&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwqq7p.html" rel="bookmark" class="title">环信推送问题</a>
					<div>
						问题描述 我集成Android的环信,收到消息后有提醒,但是状态栏不显示,只有在退出程序之后状态栏才会显示1个联系人发来1条消息.请问这是为什么?是因为我没有替换小米推送APPKey的问题吗? 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvreAWM.html" rel="bookmark" class="title">机房收费系统-状态图与活动图</a>
					<div>
						   状态图    用来描述对象,子系统,系统的生命周期.通过状态图可以了解一个对象所能达到的所有状态,以及对象收到的事件对对象状态的影响.    活动图    显示动作及其结果.着重描述操作(方法) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjL85Zp.html" rel="bookmark" class="title">java-sqlite数据库与其生成的db文件的关系</a>
					<div>
						问题描述 sqlite数据库与其生成的db文件的关系 如题.我刚接触SQLite,对于这个概念很模糊.用java的JDBC会直接生成一个db文件,这个db文件应该不是SQLite数据库吧?如果不是,S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydEavb.html" rel="bookmark" class="title">oracle procedure 的一个问题，如何存储查询结果到变量中</a>
					<div>
						问题描述 oracle procedure 的一个问题,如何存储查询结果到变量中 例如: select abc from my_tabke _不确定能查出多少条记录,如何将查出的所有数据储存到变量中  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeo2AwM.html" rel="bookmark" class="title">CNZZ打破常规 免费统计享受VIP服务</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 日前,国内独立第三方数据统计分析服 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RmdBz.html" rel="bookmark" class="title">JPA注解</a>
					<div>
						就像@Table注解用来标识实体类与数据表的对应关系类似,@Column注解来标识实体类中属性与数据表中字段的对应关系. 该注解的定义如下: @Target({METHOD, FIELD}) @Ret ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoN37M.html" rel="bookmark" class="title">dedecms如何实现在不同的栏目下调用不同的文章</a>
					<div>
						问题描述 dedecms如何实现在不同的栏目下调用不同的文章 我使用dedecms给一个医院做了一个网站,该网站里面有几十个病种栏目,和对应的康复案例栏目,我想实现在使用同一个频道页面模板的情况下,如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPk5aqM.html" rel="bookmark" class="title">数据库-二次开发后台系统问题。</a>
					<div>
						问题描述 二次开发后台系统问题. 代码是刚刚从外包拿过来的,一个客户端的接口,本地的代码连接外网的数据库能跑通,本地的代码连接本地的数据库不能跑通,少了一个字段的参数,本地的数据库和外网的数据库表结构 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWPB7M.html" rel="bookmark" class="title">java-百度的那种自定义换肤要怎么做</a>
					<div>
						问题描述 百度的那种自定义换肤要怎么做 解决方案 先写三个样式 选择 A B C 路径 A+'.CSS' B+&quot;..css&quot; C+&quot;.CSS&quot; 或者你改变访问路 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqq3Lp.html" rel="bookmark" class="title">asp开发中textarea常见问题</a>
					<div>
						近日在作新闻的后台管理系统,在将access数据导入到SQL SERVER2000中,便出现了好多问题,现总结如下:使用SQL SERVER的[导入]功能,便可将access数据转换,但要注意原来的' ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8NQJxb.html" rel="bookmark" class="title">&period;net 单点登录的设计与实践&lowbar;实用技巧</a>
					<div>
						前言 最近轮到我在小组晨会来分享知识点,突然想到单点登录,准备来分享下如何实现单点登录,所以有了下文.实现方案以及代码可能写得不是很严谨,有漏洞的地方或者错误的地方欢迎大家指正. 刚开始头脑中没有思路 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYXP5b.html" rel="bookmark" class="title">Drill官网文档翻译三：Drill的核心模块</a>
					<div>
						(翻译自Drill官网) 核心模块 下图描述了一个drillbit里的各个组件 下面列出drillbit里的关键组件: RPC endpoint Drill开发了一种基于Probobuf的损耗非常低的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj80Wdp.html" rel="bookmark" class="title">JSP 入门必备软件</a>
					<div>
						问题描述 如题:JSP入门必备软件 解决方案 解决方案二:哎呀,让我学jsp,我以前都没听说过,怎么学啊?解决方案三:必备软件是什么啊解决方案四:我也不太明白楼主所指的软件是什么方面的,但是就我的理解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6GAmM.html" rel="bookmark" class="title">为什么要让Struts2与Spring进行整合呢&quest;好处是什么？</a>
					<div>
						问题描述 为什么要让Struts2与Spring进行整合呢?好处是什么? 问题补充:我的意思是spring也有mvc,感觉涵盖了struts的功能,struts的优势是什么?为什么很多人舍弃sprin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1lvWb.html" rel="bookmark" class="title">GridView导出生成Excel文件的问题，office2007&sol;2010打不开 ？？？？</a>
					<div>
						问题描述 导出代码HttpContext.Current.Response.AppendHeader(&quot;Content-Disposition&quot;,&quot;attachment; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPZnAp.html" rel="bookmark" class="title">360公开信回应败诉：腾讯抄袭&plus;捆绑逼死创业者</a>
					<div>
						在强大的垄断巨头面前,创业公司就是弱势群体.如果现有法律框架无法为创业公司提供足够的支持以抗衡垄断巨头,其结果必将是法律向拥有更强大资源的互联网巨头倾斜.虽然法律面前人人平等,但平等应该建立在公正的基 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Y4Vjp.html" rel="bookmark" class="title">全新物联网&sol;Linux恶意软件攻击数字视频录像机并组建僵尸网络</a>
					<div>
						Palo Alto Networks 威胁情报小组Unit 42近日发布报告,宣称发现物联网/Linux僵尸网络Tsunami的最新变种并命名为Amnesia.Amnesia僵尸网络允许攻击者利用未修 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG1LNvM.html" rel="bookmark" class="title">各位大侠，这个问题怎么解决啊</a>
					<div>
						问题描述 將數字四捨五入至某小數位,並返回指定位數字串round(123.455,2)=&gt;123.46round(123.449,2)=&gt;123.45round(123.44,3)=&gt ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.020 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
